<form id="add" class="addcliente">
    <div class="row">
        <div class="form-group col-md-12">
            <select name="idAzienda" data-placeholder="Azienda di appartenenza" class="chosen-select client-select" tabindex="17" style="width:100%;">
                <option value="0" disabled>Azienda di appartenenza</option>
                <?php foreach (osmaHelper::getAziende() as $id => $azienda) { ?>
                    <option <?php osmaHelper::selected($id, $data->idAzienda) ?> value="<?php echo $id; ?>"><?php echo $azienda; ?></option>
                <?php } ?>
            </select>
        </div>
        <div class="form-group col-md-6">
            <input type="text" class="obb ragionesociale form-control" name="ragioneSociale" placeholder="Ragione Sociale" value="<?php echo $data->ragioneSociale; ?>"/>
            <span class="hidden help-block">Inserisci un valore</span>
        </div>
        <div class="form-group col-md-6">
            <input type="text" class="obb sigla form-control" name="sigla" placeholder="Sigla" value="<?php echo $data->sigla; ?>"/>
            <span class="hidden help-block">Inserisci un valore</span>
        </div>
        <div class="form-group col-md-6">
            <input type="text" class="obb indirizzo form-control" name="indirizzo" placeholder="Indirizzo" value="<?php echo $data->indirizzo; ?>"/>
            <span class="hidden help-block">Inserisci un valore</span>
        </div>
        <div class="form-group col-md-6">
            <input type="text" class="obb comune form-control" name="comune" placeholder="Comune" value="<?php echo $data->comune; ?>"/>
            <span class="hidden help-block">Inserisci un valore</span>
        </div>
        <div class="form-group col-md-6">
            <input type="text" class="obb provincia form-control" name="provincia" placeholder="Provincia" value="<?php echo $data->provincia; ?>"/>
            <span class="hidden help-block">Inserisci un valore</span>
        </div>
        <div class="form-group col-md-6">
            <input type="text" class="obb cap form-control" name="cap" placeholder="CAP" value="<?php echo $data->cap; ?>"/>
            <span class="hidden help-block">Inserisci un valore</span>
        </div>
        <div class="form-group col-md-6">
            <input type="text" class="obb piva form-control" name="piva" placeholder="PIVA" value="<?php echo $data->piva; ?>"/>
            <span class="hidden help-block">Inserisci un valore</span>
        </div>
        <div class="form-group col-md-6">
            <input type="text" class="obb cf form-control" name="cf" placeholder="Codice Fiscale" value="<?php echo $data->cf; ?>"/>
            <span class="hidden help-block">Inserisci un valore</span>
        </div>
        <div class="form-group col-md-6">
            <label>Layout rapportino</label>
            <select name="layoutRapportino" id="layoutRapportino" class="form-control">
                <option value="1">Rapportino standard</option>
                <option value="2">Rapportino ENI</option>
            </select>
        </div>
        <div class="form-group col-md-6">
            <label>Logo rapportino</label>
            <select name="logoRapportino" id="logoRapportino" class="form-control">
                <option value="1">OSMA</option>
                <option value="2">E2OIL</option>
            </select>
        </div>
    </div>

    <div class="panel panel-primary">
        <div class="panel-heading">
            <h3 class="panel-title">Dati di utenza</h3>
        </div>
        <div class="panel-body" style='padding-bottom: 15px!important'>
            <div class="row">
                <div class="col-md-4 control-group">
                    <input type="text" class="form-control" name="usernameemail" placeholder="Email" value="<?php echo $data->usernameemail; ?>" <?php echo ($data->username && $data ? "readonly='readonly'" : "") ?>/>
                </div>
                <div class="col-md-4 control-group">
                    <input type="text" class="form-control" name="username" placeholder="Username" value="<?php echo $data->username; ?>" <?php echo ($data->username && $data ? "readonly='readonly'" : "") ?>/>
                </div>
                <div class="col-md-4 control-group">
                    <input type="text" class="form-control" name="password" placeholder="Password" value="<?php echo $data->password; ?>" <?php echo ($data->username && $data ? "readonly='readonly'" : "") ?>/>
                </div>
            </div>
            <input type='hidden' name='idUser' value='<?php echo $data->idUser ?>' />
        </div>
    </div>

    <div class="panel panel-primary">
        <div class="panel-heading">
            <div class="row">
                <div class="col-md-6">
                    <h3 class="panel-title">Dati Contatti</h3>
                </div>
                <div class="col-md-6">
                    <button data-rowcount="<?php echo count($contatti); ?>" class="pull-right btn btn-success btn-sm nuovoContatto"><span class="glyphicon glyphicon-plus-sign"></span></button>
                </div>
            </div>
        </div>
        <div class="panel-body contatti-group">
            <?php
            $i = 0;
            foreach ($contatti as $contatto) {
                ?>
                <div class="panel panel-warning">
                    <div class="panel-body">
                        <div class="row">
                            <div class="form-group col-md-10">
                                <input type="text" class="riferimento form-control" name="contatti[<?php echo $i; ?>][riferimento]" id="riferimento<?php echo $i; ?>" placeholder="Riferimento" value="<?php echo $contatto->riferimento; ?>"/>
                            </div>
                            <div class="form-group col-md-2">
                                <button class="btn btn-danger btn-sm remove-btn pull-right"><span class="glyphicon glyphicon-remove"></span></button>
                            </div>
                            <div class="form-group col-md-6">
                                <input type="text" class="email form-control" name="contatti[<?php echo $i; ?>][email]" id="email<?php echo $i; ?>" placeholder="Email" value="<?php echo $contatto->email; ?>"/>
                            </div>
                            <div class="form-group col-md-6">
                                <input type="text" class="telefono form-control" name="contatti[<?php echo $i; ?>][telefono]" id="telefono<?php echo $i; ?>" placeholder="Telefono" value="<?php echo $contatto->telefono; ?>"/>
                            </div>
                        </div>
                    </div>
                </div>
                <?php
                $i++;
            }
            ?>
            <div class="panel panel-warning">
                <div class="panel-body">
                    <div class="row">
                        <div class="form-group col-md-10">
                            <input type="text" class="riferimento form-control" name="contatti[<?php echo $i; ?>][riferimento]" id="riferimento<?php echo $i; ?>" placeholder="Riferimento" value=""/>
                        </div>
                        <div class="form-group col-md-2">
                            <button class="btn btn-danger btn-sm remove-btn pull-right"><span class="glyphicon glyphicon-remove"></span></button>
                        </div>
                        <div class="form-group col-md-6">
                            <input type="text" class="email form-control" name="contatti[<?php echo $i; ?>][email]" id="email<?php echo $i; ?>" placeholder="Email" value=""/>
                        </div>
                        <div class="form-group col-md-6">
                            <input type="text" class="telefono form-control" name="contatti[<?php echo $i; ?>][telefono]" id="telefono<?php echo $i; ?>" placeholder="Telefono" value=""/>
                        </div>
                    </div>
                </div>
            </div>
        </div>
    </div>
    <input type="hidden" name="id" value="<?php echo JRequest::getVar('id'); ?>" id="id" />
</form>
