<!DOCTYPE html>
<html>
    <head>
        <style>

            html, body, div, span, applet, object, iframe,
            h1, h2, h3, h4, h5, h6, p, blockquote, pre,
            a, abbr, acronym, address, big, cite, code,
            del, dfn, em, font, img, ins, kbd, q, s, samp,
            small, strike, strong, sub, sup, tt, var,
            dl, dt, dd, ol, ul, li,
            fieldset, form, label, legend,
            table, caption, tbody, tfoot, thead, tr, th, td {
                margin: 0;
                padding: 0;
                border: 0;
                outline: 0;
                font-weight: inherit;
                font-style: inherit;
                font-size: 100%;
                font-family: inherit;
                vertical-align: baseline;
            }
            :focus {
                outline: 0;
            }
            body {
                line-height: 1;
                color: black;
                background: white;
            }
            ol, ul {
                list-style: none;
            }
            table {
                border-collapse: separate;
                border-spacing: 0;
            }
            caption, th, td {
                text-align: left;
                font-weight: normal;
            }
            blockquote:before, blockquote:after,
            q:before, q:after {
                content: "";
            }
            blockquote, q {
                quotes: "" "";
            }

            img {
                -ms-interpolation-mode: bicubic;
            }

            * {
                box-sizing: border-box;
                font-size: 14px;
                line-height: 1.1;
                font-family: 'Helvetica', sans-serif;
            }

            html body {
                font-size: 14px;
                line-height: 1.1;
                font-family: 'Helvetica', sans-serif;
                padding: 1.25cm;
            }

            .pull-left {
                float: left;
            }

            .clearfix{
                content: "";
                display: table;
                width: 100%; 
                clear: both;
            }

            table {
                width: 100%;
            }

            hr {
                border: 0;
            }
            label {
                font-weight: bold;
            }

            table td {
                vertical-align: middle;
            }

            .verytable td {font-size: 12px; text-align: center; border: 1px solid #000; padding: 5px;}

            p.page-braker { page-break-after: always; }
            @page { padding: 1.25cm 1.25cm 6cm; position: relative;}

            .main-table thead tr td {border-left: 1px solid #DFDFDF; text-transform: uppercase; color: #AEAEAE; padding: 5px; font-size: 11px;}
            .main-table tbody tr td {border-left: 1px solid #DFDFDF; border-top: 1px solid #DFDFDF; font-size: 10px; padding: 5px;}

            footer {position: fixed; left:1.25cm; right: 1.25cm; bottom: 5.5cm; }
        </style>
    </head>
    <body>
        <table style="border-bottom: 5px solid #21418E; margin: 0">
            <tr>
                <td style="width: 33.3%; vertical-align: top; padding-bottom: 15px;">
                    <img src="<?php echo JPATH_COMPONENT ?>/controllers/assets/img/logo_e2oil.jpg" style="max-height: 85px;"/>
                </td>
                <td style="width: 33.3%; font-size: 10px; vertical-align: top; padding-bottom: 15px;">
                    <b style='font-size: 10px;'>E2OIL S.R.L.</b><br/>
                    <b style='font-size: 10px;'>Sede legale</b> Zona Industriale 8 – Nonio (VB) - 28891<br/>
                    <b style='font-size: 10px;'>Sede operativa laboratorio metrologico</b> Via Maestri del Lavoro 20/22 – Bovisio Masciago (MB) - 28813<br>
                    <b style='font-size: 10px;'>Sede operativa sicurezza</b> Via Amatore Sciesa nr. 17/19 – Tradate (VA) - 21049
                </td>
                <td style="width: 33.3%; font-size: 10px; vertical-align: top; padding-bottom: 15px;">
                    <b style='font-size: 10px;'>Email</b> amministrazione@e2oil.it<br>
                    <b style='font-size: 10px;'>PEC</b> e2oilsrl@pec.it<br>
                    <b style='font-size: 10px;'>Telefono</b> +39.0323.889158<br>
                    <b style='font-size: 10px;'>Fax</b> +39.0323.889822<br>
                    <b style='font-size: 10px;'>P.IVA & C.F.</b>02545820033<br>
                    <b style='font-size: 10px;'>Nr. Rea Sede Legale</b> VB - 205785
                </td>
            </tr>
        </table>

        <hr style="height: 15px; margin: 0"/>

        <table style="margin: 0;">
            <thead>
                <tr>
                    <td style="width: 47.5%; padding-bottom: 5px; padding-top: 5px; font-size: 13px; color: #AEAEAE">
                        DESTINAZIONE
                    </td>
                    <td style="width: 5%; border-right: 1px solid #DFDFDF;">

                    </td>
                    <td style="width: 47.5%; padding-left: 15px; padding-bottom: 5px; padding-top: 5px; font-size: 13px; color: #AEAEAE">
                        SPETTABILE
                    </td>
                </tr>
            </thead>
            <tbody>
                <tr>
                    <td style=" padding-bottom: 5px;">
                        <?php echo $preventivo->destinazione['ragioneSociale'] ?><br/>
                        <?php echo $preventivo->destinazione['indirizzo'] ?><br/>
                        <?php echo str_pad($preventivo->destinazione['cap'], 5, 0, STR_PAD_LEFT) ?>, <?php echo $preventivo->destinazione['comune'] ?><br/>
                        Tel.: <?php echo $preventivo->destinazione['telefono'] ?>
                    </td>
                    <td style="border-right: 1px solid #DFDFDF;">

                    </td>
                    <td style="padding-left: 15px; padding-bottom: 5px;">
                        <?php echo $preventivo->spettabile['ragioneSociale'] ?><br/>
                        <?php echo $preventivo->spettabile['indirizzo'] ?><br/>
                        <?php echo str_pad($preventivo->spettabile['cap'], 5, 0, STR_PAD_LEFT) ?>, <?php echo $preventivo->spettabile['comune'] ?><br/>
                        Tel.: <?php echo $preventivo->spettabile['telefono'] ?>
                    </td>
                </tr>
            </tbody>
        </table>

        <hr style="height: 7px"/>

        <div style="padding: 15px 0; border-top: 3px solid #21418E; border-bottom: 3px solid #21418E; font-weight: bold; text-align: right; font-size: 15px;">
            Preventivo N. <?php echo str_pad($preventivo->idPreventivo, 4, "0", STR_PAD_LEFT) ?>/<?php echo date("Y", strtotime($preventivo->inserted)) ?><br/>
            Data: <?php echo date("d/m/Y", strtotime($preventivo->inserted)) ?>
        </div>

        <hr style="height: 10px"/>

        <div style="font-size: 12px; text-align: justify;">
            Con la presente siamo a formularVi la miglior proposta per la verificazione periodica delle apparecchiature da Voi elencate ne modello "Richiesta preventivo".
        </div>

        <hr style="height: 3px"/>

        <table style="border: 1px solid #DFDFDF" cellspacing="0" cellpadding="3" class="main-table">
            <thead>
                <tr>
                    <td style="width: 13%; text-align: center;">Codice</td>
                    <td >Descrizione</td>
                    <td style="text-align: center; width: 3.5%">UM</td>
                    <td style="text-align: right; width: 10%">Prezzo</td>
                    <td style="text-align: right; width: 7.5%">Q.tà</td>
                    <td style="text-align: right; width: 7.5%">Sc.%</td>
                    <td style="text-align: right; width: 11%">Totale</td>
                    <td style="text-align: center; width: 3.5%">IVA</td>
                </tr>
            </thead>
            <tbody>
                <?php foreach ($preventivo->voci as $vo) { ?>
                    <tr>
                        <td><?php echo $vo->codice ?></td>
                        <td><?php echo $vo->descrizione ?></td>
                        <td style="text-align: center;"><?php echo strtoupper($vo->um) ?></td>
                        <td style="text-align: right;">€ <?php echo number_format($vo->prezzo, 2, ",", "") ?></td>
                        <td style="text-align: right;"><?php echo number_format($vo->quantita, 2, ",", "") ?></td>
                        <td style="text-align: right;"><?php echo number_format($vo->sconto, 2, ",", "") ?></td>
                        <td style="text-align: right;">€ <?php echo number_format($vo->totale, 2, ",", "") ?></td>
                        <td style="text-align: center;"><?php echo number_format($vo->iva, 0, "", "") ?></td>
                    </tr>
                <?php } ?>
                <?php for ($i = 0; $i < (18 - count($preventivo->voci)); $i++) { ?>
                    <tr>
                        <td>&nbsp;</td>
                        <td>&nbsp;</td>
                        <td>&nbsp;</td>
                        <td>&nbsp;</td>
                        <td>&nbsp;</td>
                        <td>&nbsp;</td>
                        <td>&nbsp;</td>
                        <td>&nbsp;</td>
                    </tr>
                <?php } ?>
            </tbody>
        </table>

        <footer style="border-top: 3px solid #21418E; padding-top: 15px;">
            <table style="" cellspacing="0" cellpadding="3" class="main-table">
                <thead>
                    <tr>
                        <td style="width: 27.5%; text-align: left; border: 0; font-size: 12px; padding-left: 0">Tipo di pagamento</td>
                        <td style="border: 0;"></td>
                        <td style="width: 22%; text-align: right; border: 0; font-size: 12px; padding-left: 20px;">Totale imponibile</td>
                        <td style="width: 20%; text-align: right; border: 0; font-size: 12px; padding-left: 20px;">Totale I.V.A.</td>
                        <td style="width: 22%; text-align: right; border: 0; font-size: 12px; padding-left: 20px;">Totale preventivo</td>
                    </tr>
                </thead>
                <tbody>
                    <tr>
                        <td style="font-size: 14px; border: 0; padding-left: 0; font-weight: bold;"><?php echo $preventivo->tipoPagamento ?></td>
                        <td style="border: 0"></td>
                        <td style="text-align: right; font-size: 14px; border: 0; font-weight: bold;">€ <?php echo number_format($preventivo->totaleImponibile, 2, ",", "") ?></td>
                        <td style="text-align: right; font-size: 14px; border: 0; font-weight: bold;">€ <?php echo number_format($preventivo->totaleIva, 2, ",", "") ?></td>
                        <td style="text-align: right; font-size: 14px; border: 0; font-weight: bold;">€ <?php echo number_format($preventivo->totalePreventivo, 2, ",", "") ?></td>
                    </tr>
                </tbody>
            </table>
            <hr style="height: 5px"/>
            <table cellpadding="0">
                <tbody>
                    <tr>
                        <td style="width: 50%">
                            <span style="color: #AEAEAE; text-transform: uppercase;">Bonifico intestato a:</span> <?php echo $preventivo->bIntestazione ?><br/>
                            <span style="color: #AEAEAE; text-transform: uppercase;">Banca:</span> <?php echo $preventivo->bDenominazione ?><br/>
                            <span style="color: #AEAEAE; text-transform: uppercase;">IBAN:</span> <?php echo $preventivo->bIban ?>
                        </td>
                        <td style="width: 5%"></td>
                        <td style="width: 20%; text-align: center; border-bottom: 1px solid #000; color: #AEAEAE; text-transform: uppercase;">Data</td>
                        <td style="width: 5%"></td>
                        <td style="width: 20%; text-align: center; border-bottom: 1px solid #000; color: #AEAEAE; text-transform: uppercase;">Il cliente</td>
                    </tr>
                </tbody>
            </table>
        </footer>

    </body>
</html>