<?php

// No direct access to this file
defined('_JEXEC') or die('Restricted access');

/**
 * HTML View class for the HelloWorld Component
 *
 * @since  0.0.1
 */
class OsmaViewChiamate extends JViewLegacy {

    function display($tpl = null) {
        // Assign data to the view
        $this->title = "Chiamate";
        $this->chiamate = $this->get('Items');
        $this->comuni = $this->get('Comuni');
        $this->manutentori = $this->get('Manutentori');
        $this->total = $this->get('Total');
        $this->sidebar = JHtmlSidebar::render();
        $this->state = $this->get('State');
        
        $this->searchterms = $this->state->get('filter.search');
        $this->status = $this->state->get('filter.status');
        $this->type = $this->state->get('filter.type');
        $this->comuneFilter = $this->state->get('filter.comune');
        $this->manFilter = $this->state->get('filter.manutentore');
        $this->dataFilter = $this->state->get('filter.data');
        $this->tipoChiamataFilter = $this->state->get('filter.tipoChiamata');
        $this->scaduteFilter = $this->state->get('filter.scadute');
        
        $this->pagination = $this->get("Pagination");

        JFactory::getDocument()->addScript(JURI::base() . 'components/com_osma/assets/js/view-chiamate.js?ver=' . COM_OSMA_VER, 'text/javascript');

        // Check for errors.
        if (count($errors = $this->get('Errors'))) {
            JError::raiseError(500, implode('<br />', $errors));
            return false;
        }
        // Display the view
        parent::display($tpl);
    }

}
