<?php
defined('_JEXEC') or die('Restricted access');
?>

<div class="t3a-toolbar row">
    <div class="clearfix hidden-xs flex" style="align-items: center;">
        <?php echo $this->loadTemplate('form'); ?>
    </div>
    <div class="visible-xs col-xs-12 text-center"style="padding-top: 15px; padding-bottom: 15px">
        <a href="#filter-collapse" data-toggle="collapse" role="button" aria-expanded="false" aria-controls="filter-collapse"><i class="glyphicon glyphicon-filter"></i> Azioni e filtri</a>        
    </div>
    <div class="clearfix collapse" id="filter-collapse">
        <?php echo $this->loadTemplate('form'); ?>
    </div>
</div>

<form action="<?php echo JRoute::_('index.php?option=com_osma&view=manutentori'); ?>" method="post" id="adminForm" class="form-validate" name="manutentoriForm">
    <div class="panel panel-default main-panel">
        <div class="panel-heading">
            <h3 class="panel-title">Anagrafica Manutentori</h3>
        </div>
        <div class="panel-body">
            <div class="table-responsive">
                <table class="table table-bordered table-striped">
                    <thead>
                        <tr>
                            <th class="center" width="2.5%">#</th>
                            <th>Cognome e nome</th>
                            <th>Telefono</th>
                            <th>Email</th>
                            <th>Scadenza visita medica</th>
                            <th class="text-right">Costo / Ora</th>
                            <th class="center">Pubblicato</th>
                        </tr>
                    </thead>
                    <tfoot>
                        <tr>
                            <td colspan="7" class="t3a-pagination">
                                <div class="col-md-6 text-left"><?php echo $this->pagination->getListFooter(); ?></div>
                                <div class="col-md-6 text-right">Nr. Risultati: <?php echo $this->pagination->getLimitBox(); ?></div>
                            </td>
                        </tr>
                    </tfoot>
                    <tbody>
                        <?php if (!empty($this->manutentori)) { ?>
                            <?php $i = 0; ?>
                            <?php foreach ($this->manutentori as $i => $manutentore) { ?>
                                <?php $checked = JHTML::_('grid.id', $i++, $manutentore->idUser); ?>
                                <tr>
                                    <td class="center"><?php echo $checked; ?></td>
                                    <td><?php echo $manutentore->name; ?></td>
                                    <td><?php echo $manutentore->telefono; ?></td>
                                    <td><?php echo $manutentore->email; ?></td>
                                    <td><?php echo (strtotime($manutentore->scadenzaVisita) ? date("d/m/Y", strtotime($manutentore->scadenzaVisita)) : null); ?></td>
                                    <td class="text-right"><?php echo ((int) $manutentore->costoOrario > 0 ? $manutentore->costoOrario . " €" : null); ?></td>
                                    <td class="center"><?php if ($manutentore->block == 0) { ?><span class="glyphicon glyphicon-ok-circle green"></span><?php } else { ?><span class="glyphicon glyphicon-ban-circle orange"></span><?php } ?></td>
                                </tr>
                            <?php } ?>
                            <? }else{ ?>
                        <td colspan="6">Nessun manutentore inserito.</td>
                    <?php } ?>
                    </tbody>
                </table>
            </div>
        </div>
    </div>
    <input type="hidden" name="task" value=""/>
    <input type="hidden" name="boxchecked" value="0"/>
    <?php echo JHtml::_('form.token'); ?>
</form>
<div class="modal fade bs-example-modal-lg" id="addManutentore" tabindex="-1" role="dialog" aria-labelledby="myModalLabel">
    <div class="modal-dialog modal-lg" role="document">
        <div class="modal-content">
            <div class="modal-header">
                <button type="button" class="close" data-dismiss="modal" aria-label="Close"><span aria-hidden="true">&times;</span></button>
                <h4 class="modal-title" id="myModalLabel">Dati Manutentore</h4>
            </div>
            <div class="modal-body">
            </div>
            <div class="modal-footer">
                <button type="button" class="btn btn-default" data-dismiss="modal">Chiudi</button>
            </div>
        </div>
    </div>
</div>
<script type="text/javascript">
//nuovo
    jQuery(document).on('click', '.nuovo', function (event) {
        event.preventDefault();

        var idUser = jQuery(this).attr('data-idUser');
        jQuery('#addManutentore').find(".modal-body").load('index.php?option=com_osma&task=manutentori.addmanutentoriform&format=raw&idUser=' + idUser);
        jQuery('#addManutentore').find(".modal-footer").html('<button type="button" class="btn btn-default" data-dismiss="modal">Chiudi</button><button type="button" class="btn btn-primary salvabtn">Salva</button>');
        jQuery('#addManutentore').modal();

        return false;
    });

//Modifica
    jQuery(document).on('click', '.modifica', function (event) {
        event.preventDefault();

        var checked = true;
        var idUser = "";
        jQuery.each(jQuery("input[name='cid[]']"), function (index, value) {
            if (jQuery(value).attr("checked")) {
                checked = true;
                idUser = jQuery(value).val();
                return false;
            } else {
                checked = false;
            }
        });

        if (checked == true) {
            jQuery('#addManutentore').find(".modal-body").load('index.php?option=com_osma&task=manutentori.addManutentoriform&format=raw&idUser=' + idUser);
            jQuery('#addManutentore').find(".modal-footer").html('<button type="button" class="btn btn-default" data-dismiss="modal">Chiudi</button><button type="button" class="btn btn-primary salvabtn">Salva</button>');
            jQuery('#addManutentore').modal();
        } else {
            var msg = {
                error: ['Seleziona almeno un elemento nella lista.']
            };
            Joomla.renderMessages(msg);
        }
        return false;
    });

//Pubblica
    jQuery(document).on('click', '.pubblica', function (event) {
        event.preventDefault();

        var i = 0;
        var ids = [];

        jQuery.each(jQuery("input[name='cid[]']"), function (index, value) {
            if (jQuery(value).attr("checked")) {
                ids.push(jQuery(value).val());
            }
        });
        if (ids.length != 0) {
            //ajax call
            var url = "index.php?option=com_osma&task=manutentori.pubblica&format=raw";
            jQuery.ajax({
                type: "POST",
                url: url,
                data: {ids: ids
                }
            }).done(function (result) {
                var msg = {
                    success: ['Pubblicazione degli elementi selezionati avvenuta con successo.']
                };
                Joomla.renderMessages(msg);
                setInterval(function () {
                    refresh()
                }, 3000);
            });
        } else {
            var msg = {
                error: ['Seleziona almeno un elemento nella lista.']
            };
            Joomla.renderMessages(msg);
        }
        return false;
    });

//Sospendi
    jQuery(document).on('click', '.sospendi', function (event) {
        event.preventDefault();

        var i = 0;
        var ids = [];

        jQuery.each(jQuery("input[name='cid[]']"), function (index, value) {
            if (jQuery(value).attr("checked")) {
                ids.push(jQuery(value).val());
            }
        });
        if (ids.length != 0) {
            //ajax call
            var url = "index.php?option=com_osma&task=manutentori.sospendi&format=raw";
            jQuery.ajax({
                type: "POST",
                url: url,
                data: {ids: ids
                }
            }).done(function (result) {
                var msg = {
                    success: ['Sospensione degli elementi selezionati avvenuta con successo.']
                };
                Joomla.renderMessages(msg);
                setInterval(function () {
                    refresh();
                }, 3000);
            });
        } else {
            var msg = {
                error: ['Seleziona almeno un elemento nella lista.']
            };
            Joomla.renderMessages(msg);
        }
        return false;
    });

//salvataggio dati manutentore
    jQuery(document).on('click', '.salvabtn', function (event) {
        event.preventDefault();
        var inviaForm = 0;

        var ragioneSociale = jQuery('.ragionesociale').val();

        if (ragioneSociale == "") {
            jQuery('.ragionesociale').parent().addClass("has-error");
            jQuery('.ragionesociale').parent().find('span').removeClass("hidden");
            inviaForm = false;
        } else {
            jQuery('.ragionesociale').parent().removeClass("has-error");
            jQuery('.ragionesociale').parent().addClass("has-success");
            jQuery('.ragionesociale').parent().find('span').addClass("hidden");
            inviaForm = true;
        }

        if (inviaForm) {
            var addManutentoreformfield = jQuery('#add').serialize();

            jQuery.ajax({
                type: 'POST',
                url: 'index.php?option=com_osma&task=manutentori.salva&format=raw&tmpl=component&type=1',
                data: addManutentoreformfield,
                dataType: 'html'
            }).done(function (data) {
                if (data == 'error') {
                    jQuery('#addManutentore').modal('toggle');
                    var msg = {
                        error: ['Errore nel salvataggio dei dati.']
                    };
                    Joomla.renderMessages(msg);
                    setInterval(function () {
                        refresh();
                    }, 3000);
                } else {
                    jQuery('#addManutentore').modal('toggle');
                    var msg = {
                        success: ['Salvataggio dati avvenuto con successo.']
                    };
                    Joomla.renderMessages(msg);
                    setInterval(function () {
                        refresh();
                    }, 3000);
                }
            });
        }

        return false;
    });

//refresh page dopo aver mostrato il messaggio di salvataggio
    function refresh() {
        window.location.reload(true);
    }
</script>
