<?php defined('_JEXEC') or die('Restricted access'); ?>

<div class="t3a-toolbar row">
    <div class="clearfix hidden-xs flex" style="align-items: center;">
        <?php echo $this->loadTemplate('form'); ?>
    </div>
    <div class="visible-xs col-xs-12 text-center"style="padding-top: 15px; padding-bottom: 15px">
        <a href="#filter-collapse" data-toggle="collapse" role="button" aria-expanded="false" aria-controls="filter-collapse"><i class="glyphicon glyphicon-filter"></i> Azioni e filtri</a>
    </div>
    <div class="col-xs-12 collapse" id="filter-collapse">
        <?php echo $this->loadTemplate('form'); ?>
    </div>
</div>

<form name='generaverificametricaperiodica' action='<?php echo osmaHelper::router('index.php?option=com_osma&view=amministrazione&layout=elenco-rvmp') ?>' method="POST" >
    <div class="panel panel-default main-panel ">
        <div class="panel-heading">
            <h2>Elenco RVMP</h2>
        </div>
        <div class="panel-body">
            <div class="table-responsive">
                <table class="table table-bordered table-striped">
                    <thead>
                        <tr>
                            <th class="center" width="3%">ID</th>
                            <th width="15%">Cliente</th>
                            <th width="15%">Utente metrico</th>
                            <th class="center" width="5%"># pistole</th>
                            <th class="" width="8%">Prog. RVMP</th>
                            <th class="center" width="7.5%">Data verifica</th>
                            <th class="center" width="7.5%">Data comp.</th>
                            <th class="center" width="4%">RVMP</th>
                            <th class="" width="10%">Rif. preventivo</th>
                            <th class="" width="">Stato fatt.</th>
                            <th class="center" width="5.5%"></th>
                            <th class="center" width="5.5%"></th>
                        </tr>
                    </thead>
                    <tfoot>
                        <tr>
                            <td colspan="12" class="t3a-pagination">
                                <div class="col-md-6 text-left"><?php echo $this->pagination->getListFooter(); ?></div>
                                <div class="col-md-6 text-right">Nr. Risultati: <?php echo $this->pagination->getLimitBox(); ?></div>
                            </td>
                        </tr>
                    </tfoot>
                    <tbody>
                        <?php if ($this->items) { ?>
                            <?php foreach ($this->items as $ric) { ?>
                                <?php $intestazione = (object) unserialize($ric->intestazione); ?>
                                <?php $metrico = (object) unserialize($ric->utenteMetrico); ?>
                                <tr>
                                    <td class='center'><?php echo $ric->idRichiesta ?></td>
                                    <td><?php echo $intestazione->denominazione . "<br/>(" . $intestazione->comune . ")" ?></td>
                                    <td><?php echo $metrico->denominazione . "<br/>(" . $metrico->comune . ")" ?></td>
                                    <td class="center"><?php echo ($ric->manuale ? count(unserialize($ric->idPistole)['tipologia']) : count(unserialize($ric->idPistole))) ?></td>
                                    <td class=""><?php echo $ric->progressivo . " - " . date("m/Y", strtotime($ric->dataCompilazione)) ?></td>
                                    <td class="center"><?php echo date("d/m/Y", strtotime($ric->dataVerifica)) ?></td>
                                    <td class="center"><?php echo date("d/m/Y", strtotime($ric->dataCompilazione)) ?></td>
                                    <td class="center"><a target="_blank" href="<?php echo osmaHelper::router("index.php?option=com_osma&task=amministrazione.visualizzarvmp&idRichiesta={$ric->idRichiesta}&format=raw") ?>"><i class="fa fa-file-pdf-o"></i></a></td>
                                    <td class="left">
                                        <?php if ($ric->idPreventivo) { ?>
                                            <a target="_blank" href="<?php echo osmaHelper::router("index.php?option=com_osma&task=amministrazione.visualizzapreventivo&idPreventivo={$ric->idPreventivo}&format=raw") ?>">#<?php echo $ric->idPreventivo ?> del <?php echo date("d/m/Y", strtotime($ric->dataPreventivo)) ?></a>
                                        <?php } ?>
                                    </td>
                                    <td class="">
                                        <?php if ($ric->idPreventivo) { ?>
                                            <input type="checkbox" name="fatturato" <?php echo ($ric->fatturatoPrev ? "checked" : "" ) ?> id='fatturato<?php echo $ric->idRichiesta ?>' data-idPreventivo="<?php echo $ric->idPreventivo ?>" value="1"/> Fatturato
                                        <?php } else { ?>
                                            <input type="checkbox" name="fatturato" <?php echo ($ric->fatturato ? "checked" : "" ) ?> id='fatturato<?php echo $ric->idRichiesta ?>' data-idRichiesta="<?php echo $ric->idRichiesta ?>" value="1"/> Fatturato
                                        <?php } ?>
                                    </td>
                                    <td class="center">
                                        <a href="<?php echo osmaHelper::router("index.php?option=com_osma&view=amministrazione&layout=genera-rvmp&idRichiesta=" . $ric->idRichiesta) ?>" class="btn btn-sm"><i class="fa fa-pencil-square"></i> Modifica</a>
                                    </td>
                                    <td class="center">
                                        <a href="javascript:void(0);" class="btn btn-sm remove-rvmp" data-id="<?php echo $ric->idRichiesta ?>"><i class="fa fa-times-circle"></i> Elimina</a>
                                    </td>
                                </tr>
                            <?php } ?>
                        <?php } else { ?>
                            <tr>
                                <td colspan="12">Nessuna RVMP generato.</td>
                            </tr>
                        <?php } ?>
                    </tbody>
                </table>
            </div>
        </div>
    </div>
</form>
<script>
    jQuery(function ($) {
        $(document).on("change", "[name='fatturato']", function (e) {
            $this = $(this);
            $.ajax({
                url: "index.php?option=com_osma&task=amministrazione.set_fatturato&format=raw",
                data: {
                    idPreventivo: $this.data("idpreventivo"),
                    idRichiesta: $this.data("idrichiesta"),
                    value: $this.is(":checked")
                }
            });
        });

        $(document).on("click", ".remove-rvmp", function (e) {
            e.stopPropagation();
            e.stopImmediatePropagation();
            $this = $(this);
            if (confirm("Vuoi eliminare l'RVMP #" + $this.data("id") + "?")) {
                $.ajax({
                    url: "index.php?option=com_osma&task=amministrazione.removeRVMP&format=raw",
                    method: 'POST',
                    data: {
                        idRichiesta: $this.data("id")
                    }
                }).done(function (data) {
                    data = JSON.parse(data);
                    if (data.success) {
                        $this.parents("tr").remove();
                    }
                });
            }
        });

        $(document).on("click", ".reset-form", function (e) {
            e.stopPropagation();
            e.stopImmediatePropagation();

            $(this).parents("form").find("input, select").val("");
        });
    });
</script>