<?php defined('_JEXEC') or die('Restricted access'); ?>

<div class="t3a-toolbar row">
    <div class="clearfix hidden-xs flex" style="align-items: center;">
        <?php echo $this->loadTemplate('form'); ?>
    </div>
    <div class="visible-xs col-xs-12 text-center"style="padding-top: 15px; padding-bottom: 15px">
        <a href="#filter-collapse" data-toggle="collapse" role="button" aria-expanded="false" aria-controls="filter-collapse"><i class="glyphicon glyphicon-filter"></i> Azioni e filtri</a>        
    </div>
    <div class="col-xs-12 collapse" id="filter-collapse">
        <?php echo $this->loadTemplate('form'); ?>
    </div>
</div>

<form action="<?php echo JRoute::_('index.php?option=com_osma&view=prodotti'); ?>" method="post" id="adminForm" class="form-validate" name="modelliForm">
    <div class="panel panel-default main-panel">
        <div class="panel-heading">
            <h3 class="panel-title">Elenco prodotti</h3>
        </div>
        <div class="panel-body">
            <div class="table-responsive">
                <table class="table table-bordered table-striped">
                    <thead>
                        <tr>
                            <th>#</th>
                            <th>Nome</th>
                            <th>Sigla</th>
                            <th>Pubblicato</th>
                        </tr>
                    </thead>
                    <tfoot>
                        <tr>
                            <td colspan="4" class="t3a-pagination">
                                <div class="col-md-6 text-left"><?php echo $this->pagination->getListFooter(); ?></div>
                                <div class="col-md-6 text-right">Nr. Risultati: <?php echo $this->pagination->getLimitBox(); ?></div>
                            </td>
                        </tr>
                    </tfoot>
                    <tbody>
                        <?php if (!empty($this->prodotti)) { ?>
                            <?php $i = 0; ?>
                            <?php foreach ($this->prodotti as $i => $prodotto) { ?>
                                <?php $checked = JHTML::_('grid.id', $i++, $prodotto->idProdottoErogato); ?>
                                <tr>
                                    <td align="center"><?php echo $checked; ?></td>
                                    <td class="prodotto<?php echo $prodotto->idProdottoErogato ?>" data-nome="<?php echo $prodotto->prodottoErogato; ?>" data-sigla="<?php echo $prodotto->siglaRapportino; ?>"><?php echo $prodotto->prodottoErogato; ?></td>
                                    <td class="sigla<?php echo $prodotto->idProdottoErogato ?>"><?php echo $prodotto->siglaRapportino; ?></td>
                                    <td class="center"><?php if ($prodotto->published) { ?><span class="glyphicon glyphicon-ok-circle green"></span><?php } else { ?><span class="glyphicon glyphicon-ban-circle orange"></span><?php } ?></td>
                                </tr>
                            <?php } //end foreach ?>
                            <? }else{ ?>
                        <td colspan="5">Nessun prodotto inserito.</td>
                    <?php } //end if empty?>
                    </tbody>
                </table>
            </div>
        </div>
    </div>
    <input type="hidden" name="task" value=""/>
    <input type="hidden" name="boxchecked" value="0"/>
    <?php echo JHtml::_('form.token'); ?>
</form>
<div class="modal fade bs-example-modal-lg" id="addProdotto" tabindex="-1" role="dialog" aria-labelledby="myModalLabel">
    <div class="modal-dialog modal-lg" role="document">
        <div class="modal-content">
            <div class="modal-header">
                <button type="button" class="close chiudi-btn" aria-label="Close"><span aria-hidden="true">&times;</span></button>
                <h4 class="modal-title" id="myModalLabel">Dati prodotto</h4>
            </div>
            <div class="modal-body">
                <form id="addProdottoForm" class="addProdottoForm">
                    <div class="panel panel-primary">
                        <div class="panel-heading">
                            <h3 class="panel-title">Dati prodotto</h3>
                        </div>
                        <div class="panel-body">
                            <div class="form-group col-md-12">
                                <input id="dataProdotto" type="text" class="obb prodotto form-control" name="dataToSave" placeholder="Prodotto" value=""/>
                                <span class="hidden help-block">Inserisci un valore</span>
                            </div>
                            <div class="form-group col-md-12">
                                <input id="siglaRapportino" type="text" class="obb marca form-control" name="siglaRapportino" placeholder="Sigla rapportino" value=""/>
                                <span class="hidden help-block">Inserisci un valore</span>
                            </div>
                        </div>
                    </div>
                    <input type="hidden" name="id" value="0" id="id" />
                </form>
            </div>
            <div class="modal-footer">
                <button type="button" class="btn btn-default chiudi-btn" >Chiudi</button>
                <button type="button" class="btn btn-primary salvabtn">Salva</button>
            </div>
        </div>
    </div>
</div>
<script type="text/javascript">
    var edit = 0; //campo che permette l'estrazione automatica delle marche e delle tipologie

//nuovo
    jQuery(document).on('click', '.nuovo', function (event) {
        event.preventDefault();
        edit = 0;
        jQuery('#addProdotto').modal();

        return false;
    });

//Modifica
    jQuery(document).on('click', '.modifica', function (event) {
        event.preventDefault();

        edit = 1;
        var checked = true;
        var idProdottoErogato = "";
        jQuery.each(jQuery("input[name='cid[]']"), function (index, value) {
            if (jQuery(value).attr("checked")) {
                checked = true;
                idProdottoErogato = jQuery(value).val();
                return false;
            } else {
                checked = false;
            }
        });

        if (checked == true) {
            jQuery('#id').val(idProdottoErogato);
            dataProdotto = jQuery(".prodotto" + idProdottoErogato).data("nome");
            jQuery('#dataProdotto').val(dataProdotto);
            siglaProdotto = jQuery(".prodotto" + idProdottoErogato).data("sigla");
            jQuery('#siglaRapportino').val(siglaProdotto);

            jQuery('#addProdotto').modal();
        } else {
            var msg = {
                error: ['Seleziona un elemento nella lista.']
            };
            Joomla.renderMessages(msg);
        }
        return false;
    });

    jQuery(document).on('click', '.pubblica', function (event) {
        event.preventDefault();

        var i = 0;
        var ids = [];

        jQuery.each(jQuery("input[name='cid[]']"), function (index, value) {
            if (jQuery(value).attr("checked")) {
                ids.push(jQuery(value).val());
            }
        });
        if (ids.length != 0) {
            //ajax call
            var url = "index.php?option=com_osma&task=prodotti.pubblica&format=raw";
            jQuery.ajax({
                type: "POST",
                url: url,
                data: {ids: ids, type: 6
                }
            }).done(function (result) {
                var msg = {
                    success: ['Pubblicazione degli elementi selezionati avvenuta con successo.']
                };
                Joomla.renderMessages(msg);
                setInterval(function () {
                    refresh()
                }, 3000);
            });
        } else {
            var msg = {
                error: ['Seleziona almeno un elemento nella lista.']
            };
            Joomla.renderMessages(msg);
        }
        return false;
    });

    jQuery(document).on('click', '.sospendi', function (event) {
        event.preventDefault();

        var i = 0;
        var ids = [];

        jQuery.each(jQuery("input[name='cid[]']"), function (index, value) {
            if (jQuery(value).attr("checked")) {
                ids.push(jQuery(value).val());
            }
        });
        if (ids.length != 0) {
            //ajax call
            var url = "index.php?option=com_osma&task=prodotti.sospendi&format=raw";
            jQuery.ajax({
                type: "POST",
                url: url,
                data: {ids: ids, type: 6
                }
            }).done(function (result) {
                var msg = {
                    success: ['Sospensione degli elementi selezionati avvenuta con successo.']
                };
                Joomla.renderMessages(msg);
                setInterval(function () {
                    refresh()
                }, 3000);
            });
        } else {
            var msg = {
                error: ['Seleziona almeno un elemento nella lista.']
            };
            Joomla.renderMessages(msg);
        }
        return false;
    });

//Rimuovi
    jQuery(document).on('click', '.rimuovi', function (event) {
        event.preventDefault();

        var i = 0;
        var ids = [];

        jQuery.each(jQuery("input[name='cid[]']"), function (index, value) {
            if (jQuery(value).attr("checked")) {
                ids.push(jQuery(value).val());
            }
        });
        if (ids.length != 0) {
            //chiedo conferma della Rimozione
            var r = confirm("Sei sicuro di voler eliminare gli elementi selezionati?");
            if (r == true) {
                var url = "index.php?option=com_osma&task=prodotti.rimuovi&format=raw";
                jQuery.ajax({
                    type: "POST",
                    url: url,
                    data: {ids: ids, type: 6
                    }
                }).done(function (result) {
                    jQuery.each(jQuery("input[name='cid[]']"), function (index, value) {
                        if (jQuery(value).attr("checked")) {
                            el = jQuery(value);
                            el.parent().parent().remove();
                        }
                    });
                    var msg = {
                        success: ['Rimozione degli elementi selezionati avvenuta con successo.']
                    };
                    Joomla.renderMessages(msg);
                    setInterval(function () {
                        refresh();
                    }, 3000);
                });
            } else {
                return false;
            }
        } else {
            var msg = {
                error: ['Seleziona almeno un elemento nella lista.']
            };
            Joomla.renderMessages(msg);
        }
        return false;
    });

//salvataggio dati modello
    jQuery(document).on('click', '.salvabtn', function (event) {
        event.preventDefault();
        var inviaForm = 0;

        // //controllo errori form
        var modello = jQuery('.prodotto').val();

        if (modello == "") {
            jQuery('.prodotto').parent().addClass("has-error");
            jQuery('.prodotto').parent().find('span.help-block').removeClass("hidden");
            inviaForm = 0;
        } else {
            jQuery('.prodotto').parent().removeClass("has-error");
            jQuery('.prodotto').parent().addClass("has-success");
            jQuery('.prodotto').parent().find('span.help-block').addClass("hidden");
            inviaForm = 1
        }

        if (inviaForm == 1) {
            var addProdottoformfield = jQuery('#addProdottoForm').serialize();

            jQuery.ajax({
                type: 'POST',
                url: 'index.php?option=com_osma&task=prodotti.salva&format=raw&tmpl=component&type=3',
                data: addProdottoformfield,
                dataType: 'html'
            }).done(function (data) {
                if (data == 'error') {
                    jQuery('#addProdotto').modal('toggle');
                    var msg = {
                        error: ['Errore nel salvataggio dei dati.']
                    };
                    Joomla.renderMessages(msg);
                    setInterval(function () {
                        refresh();
                    }, 3000);
                } else {
                    jQuery('#addProdotto').modal('toggle');
                    var msg = {
                        success: ['Salvataggio dati avvenuto con successo.']
                    };
                    Joomla.renderMessages(msg);
                    setInterval(function () {
                        refresh();
                    }, 3000);
                }
            });
        }

        return false;
    });

    function refresh() {
        window.location.reload(true);
    }

    jQuery(document).ready(function () {
        jQuery(".chosen-select").chosen({width: "100%"});
    });
//chiudi-btn
    jQuery(document).on('click', '.chiudi-btn', function (event) {
        event.preventDefault();

        jQuery('#dataProdotto').parent().removeClass("has-error");
        jQuery('#dataProdotto').parent().find('span.help-block').addClass("hidden");
        jQuery("#siglaRapportino").val('');
        jQuery("#dataProdotto").val('');
        jQuery('#addProdotto').modal('toggle');


        return false;
    });
</script>
