<?php
defined('_JEXEC') or die('Restricted access');
?>

<div class="t3a-toolbar row">
    <div class="clearfix hidden-xs flex" style="align-items: center;">
        <?php echo $this->loadTemplate('form'); ?>
    </div>
    <div class="visible-xs col-xs-12 text-center"style="padding-top: 15px; padding-bottom: 15px">
        <a href="#filter-collapse" data-toggle="collapse" role="button" aria-expanded="false" aria-controls="filter-collapse"><i class="glyphicon glyphicon-filter"></i> Azioni e filtri</a>        
    </div>
    <div class="col-xs-12 collapse" id="filter-collapse">
        <?php echo $this->loadTemplate('form'); ?>
    </div>
</div>

<form action="<?php echo JRoute::_('index.php?option=com_osma&view=tipologie'); ?>" method="post" id="adminForm" class="form-validate" name="tipologieForm">
    <div class="panel panel-default main-panel">
        <div class="panel-heading">
            <h3 class="panel-title">Anagrafica Tipologie</h3>
        </div>
        <div class="panel-body">
            <div class="table-responsive">
                <table class="table table-bordered table-striped">
                    <thead>
                        <tr>
                            <th>#</th>
                            <th>Tipologia</th>
                            <th>Marche Associate</th>
                            <th>Pubblicato</th>
                        </tr>
                    </thead>
                    <tfoot>
                        <tr>
                            <td colspan="4" class="t3a-pagination">
                                <div class="col-md-6 text-left"><?php echo $this->pagination->getListFooter(); ?></div>
                                <div class="col-md-6 text-right">Nr. Risultati: <?php echo $this->pagination->getLimitBox(); ?></div>
                            </td>
                        </tr>
                    </tfoot>
                    <tbody>
                        <?php if (!empty($this->tipologie)) { ?>
                            <?php $i = 0; ?>
                            <?php foreach ($this->tipologie as $i => $tipologia) { ?>
                                <?php $checked = JHTML::_('grid.id', $i++, $tipologia->idTipologia); ?>
                                <tr>
                                    <td align="center"><?php echo $checked; ?></td>
                                    <td class="td<?php echo $tipologia->idTipologia ?>" data-tipologia="<?php echo $tipologia->tipologia; ?>"><?php echo $tipologia->tipologia; ?></td>
                                    <td class="center"><button data-toggle="modal" data-target="#viewMarche" data-idTipologia="<?php echo $tipologia->idTipologia; ?>" class="btn btn-default btn-sm marche-btn"><span class="glyphicon glyphicon-list"></span></button></td>
                                    <td class="center"><?php if ($tipologia->published) { ?><span class="glyphicon glyphicon-ok-circle green"></span><?php } else { ?><span class="glyphicon glyphicon-ban-circle orange"></span><?php } ?></td>
                                </tr>
                            <?php } //end foreach ?>
                            <? }else{ ?>
                        <td colspan="4">Nessuna tipologia inserito.</td>
                    <?php } //end if empty?>
                    </tbody>
                </table>
            </div>
        </div>
    </div>
    <input type="hidden" name="task" value=""/>
    <input type="hidden" name="boxchecked" value="0"/>
    <?php echo JHtml::_('form.token'); ?>
</form>
<div class="modal fade bs-example-modal-lg" id="addTipologia" tabindex="-1" role="dialog" aria-labelledby="myModalLabel">
    <div class="modal-dialog modal-lg" role="document">
        <div class="modal-content">
            <div class="modal-header">
                <button type="button" class="close" data-dismiss="modal" aria-label="Close"><span aria-hidden="true">&times;</span></button>
                <h4 class="modal-title" id="myModalLabel">Dati Tipologia</h4>
            </div>
            <div class="modal-body">
                <form id="addTipologiaForm" class="addTipologiaForm">
                    <div class="panel panel-primary">
                        <div class="panel-heading">
                            <h3 class="panel-title">Dati Tipologia</h3>
                        </div>
                        <div class="panel-body">
                            <div class="form-group col-md-12">
                                <input id="dataTipologia" type="text" class="obb tipologia form-control" name="dataToSave" placeholder="Tipologia" value=""/>
                                <span class="hidden help-block">Inserisci un valore</span>
                            </div>
                        </div>
                    </div>
                    <div class="panel panel-warning">
                        <div class="panel-heading">
                            <h3 class="panel-title">Associa Marche</h3>
                        </div>
                        <div class="panel-body">
                            <div class="form-group col-md-12">
                                <select id="idMarche" name="idMarche[]" data-placeholder="Associa alle marche" multiple class="chosen-select marche-select" tabindex="17" style="width:100%;">
                                    <?php foreach ($this->marche as $marca) { ?>
                                        <option value="<?php echo $marca->idMarca; ?>"><?php echo $marca->marca ?></option>
                                    <?php } ?>
                                </select>
                            </div>
                        </div>
                    </div>
                    <input type="hidden" name="id" value="0" id="id" />
                </form>
            </div>
            <div class="modal-footer">
                <button type="button" class="btn btn-default" data-dismiss="modal">Chiudi</button>
                <button type="button" class="btn btn-primary salvabtn">Salva</button>
            </div>
        </div>
    </div>
</div>
<div class="modal fade bs-example-modal-lg" id="viewMarche" tabindex="-1" role="dialog" aria-labelledby="myModalLabel">
    <div class="modal-dialog modal-lg" role="document">
        <div class="modal-content">
            <div class="modal-header">
                <button type="button" class="close" data-dismiss="modal" aria-label="Close"><span aria-hidden="true">&times;</span></button>
                <h4 class="modal-title" id="myModalLabel">Marche Associate</h4>
            </div>
            <div class="modal-body">
                ...
            </div>
            <div class="modal-footer">
                <button type="button" class="btn btn-default" data-dismiss="modal">Chiudi</button>
            </div>
        </div>
    </div>
</div>
<script type="text/javascript">
//nuovo
    jQuery(document).on('click', '.nuovo', function (event) {
        event.preventDefault();
        jQuery('#addTipologia').modal();

        return false;
    });

//Modifica
    jQuery(document).on('click', '.modifica', function (event) {
        event.preventDefault();

        var checked = true;
        var idTipologia = "";
        jQuery.each(jQuery("input[name='cid[]']"), function (index, value) {
            if (jQuery(value).attr("checked")) {
                checked = true;
                idTipologia = jQuery(value).val();
                return false;
            } else {
                checked = false;
            }
        });

        if (checked == true) {
            jQuery('#id').val(idTipologia);
            //setto Tipologia con valore
            dataTipologia = jQuery(".td" + idTipologia).data("tipologia");
            jQuery('#dataTipologia').val(dataTipologia);

            //setto opzioni select tipologie
            jQuery.ajax({
                type: 'POST',
                url: 'index.php?option=com_osma&task=tipologie.getMarcheSelected&format=raw&tmpl=component',
                data: {idTipologia: idTipologia},
                dataType: 'json'
            }).done(function (data) {
                if (data == 'error') {

                } else {
                    //carico select marche
                    if (data.length > 0) {
                        jQuery('#idMarche').val(data).trigger("chosen:updated");
                    }
                }
            });

            jQuery('#addTipologia').modal();
        } else {
            var msg = {
                error: ['Seleziona un elemento nella lista.']
            };
            Joomla.renderMessages(msg);
        }
        return false;
    });

//Pubblica
    jQuery(document).on('click', '.pubblica', function (event) {
        event.preventDefault();

        var i = 0;
        var ids = [];

        jQuery.each(jQuery("input[name='cid[]']"), function (index, value) {
            if (jQuery(value).attr("checked")) {
                ids.push(jQuery(value).val());
            }
        });
        if (ids.length != 0) {
            //ajax call
            var url = "index.php?option=com_osma&task=tipologie.pubblica&format=raw";
            jQuery.ajax({
                type: "POST",
                url: url,
                data: {ids: ids, type: 5
                }
            }).done(function (result) {
                var msg = {
                    success: ['Pubblicazione degli elementi selezionati avvenuta con successo.']
                };
                Joomla.renderMessages(msg);
                setInterval(function () {
                    refresh()
                }, 3000);
            });
        } else {
            var msg = {
                error: ['Seleziona almeno un elemento nella lista.']
            };
            Joomla.renderMessages(msg);
        }
        return false;
    });

//Sospendi
    jQuery(document).on('click', '.sospendi', function (event) {
        event.preventDefault();

        var i = 0;
        var ids = [];

        jQuery.each(jQuery("input[name='cid[]']"), function (index, value) {
            if (jQuery(value).attr("checked")) {
                ids.push(jQuery(value).val());
            }
        });
        if (ids.length != 0) {
            //ajax call
            var url = "index.php?option=com_osma&task=tipologie.sospendi&format=raw";
            jQuery.ajax({
                type: "POST",
                url: url,
                data: {ids: ids, type: 5
                }
            }).done(function (result) {
                var msg = {
                    success: ['Sospensione degli elementi selezionati avvenuta con successo.']
                };
                Joomla.renderMessages(msg);
                setInterval(function () {
                    refresh()
                }, 3000);
            });
        } else {
            var msg = {
                error: ['Seleziona almeno un elemento nella lista.']
            };
            Joomla.renderMessages(msg);
        }
        return false;
    });

//Rimuovi
    jQuery(document).on('click', '.rimuovi', function (event) {
        event.preventDefault();

        var i = 0;
        var ids = [];

        jQuery.each(jQuery("input[name='cid[]']"), function (index, value) {
            if (jQuery(value).attr("checked")) {
                ids.push(jQuery(value).val());
            }
        });
        if (ids.length != 0) {
            //chiedo conferma della Rimozione
            var r = confirm("Sei sicuro di voler eliminare gli elementi selezionati?");
            if (r == true) {
                var url = "index.php?option=com_osma&task=tipologie.rimuovi&format=raw";
                jQuery.ajax({
                    type: "POST",
                    url: url,
                    data: {ids: ids, type: 5
                    }
                }).done(function (result) {
                    jQuery.each(jQuery("input[name='cid[]']"), function (index, value) {
                        if (jQuery(value).attr("checked")) {
                            el = jQuery(value);
                            el.parent().parent().remove();
                        }
                    });
                    var msg = {
                        success: ['Rimozione degli elementi selezionati avvenuta con successo.']
                    };
                    Joomla.renderMessages(msg);
                    setInterval(function () {
                        refresh()
                    }, 3000);
                });
            } else {
                return false;
            }
        } else {
            var msg = {
                error: ['Seleziona almeno un elemento nella lista.']
            };
            Joomla.renderMessages(msg);
        }
        return false;
    });

//salvataggio dati Tipologia
    jQuery(document).on('click', '.salvabtn', function (event) {
        event.preventDefault();
        var inviaForm = 0;
        //controllo errori form
        var tipologia = jQuery('.tipologia').val();

        if (tipologia == "") {
            jQuery('.tipologia').parent().addClass("has-error");
            jQuery('.tipologia').parent().find('span').removeClass("hidden");
            inviaForm = 0;
        } else {
            jQuery('.tipologia').parent().removeClass("has-error");
            jQuery('.tipologia').parent().addClass("has-success");
            jQuery('.tipologia').parent().find('span').addClass("hidden");
            inviaForm = 1
        }

        if (inviaForm == 1) {
            var addtipologiaformfield = jQuery('#addTipologiaForm').serialize();

            jQuery.ajax({
                type: 'POST',
                url: 'index.php?option=com_osma&task=tipologie.salva&format=raw&tmpl=component&type=2',
                data: addtipologiaformfield,
                dataType: 'html'
            }).done(function (data) {
                if (data == 'error') {
                    jQuery('#addTipologia').modal('toggle');
                    var msg = {
                        error: ['Errore nel salvataggio dei dati.']
                    };
                    Joomla.renderMessages(msg);
                    setInterval(function () {
                        refresh()
                    }, 3000);
                } else {
                    jQuery('#addTipologia').modal('toggle');
                    var msg = {
                        success: ['Salvataggio dati avvenuto con successo.']
                    };
                    Joomla.renderMessages(msg);
                    setInterval(function () {
                        refresh()
                    }, 3000);
                }
            });
        }

        return false;
    });


//refresh page dopo aver mostrato il messaggio di salvataggio
    function refresh() {
        window.location.reload(true);
    }

//visualizza Tipologie associate
    jQuery(document).on('click', '.marche-btn', function (event) {
        event.preventDefault();

        var idTipologia = jQuery(this).attr('data-idTipologia');
        jQuery('#viewMarche').find(".modal-body").load('index.php?option=com_osma&task=tipologie.viewmarche&format=raw&id=' + idTipologia);
        jQuery('#viewMarche').find(".modal-footer").html('<button type="button" class="btn btn-default" data-dismiss="modal">Chiudi</button>');
        jQuery('#viewMarche').modal();

        return false;
    });

//inizializzazione chosen tipologie select
    jQuery(document).ready(function ($) {
        jQuery(".chosen-select").chosen({width: "100%"});

    });
    jQuery(document).on('click', '.chiudi-btn', function (event) {
        event.preventDefault();
        jQuery('#idMarche').val('').trigger('chosen:updated');
        jQuery('#addTipologia').modal('toggle');

        return false;
    });
</script>
